Package nl.tue.id.oocsi.client.behavior.state

# Class OOCSIStateMachine.State

java.lang.Object
nl.tue.id.oocsi.client.behavior.state.OOCSIStateMachine.State

Enclosing class:
  OOCSIStateMachine

    public class OOCSIStateMachine.State
    extends java.lang.Object

internal state representation

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `State​(Handler enter, Handler execute, Handler exit)` | constructor that sets the given handlers for enter, execute, and exit

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `enter()` | trigger the enter handler, if it is given and not null
  `void` | `execute()` | trigger the execute handler, if it is given and not null
  `void` | `exit()` | trigger the exit handler, if it is given and not null
  `void` | `setEnter​(Handler handler)` | set the enter handler (any time after creation of this state)
  `void` | `setExecute​(Handler handler)` | set the execute handler (any time after creation of this state)
  `void` | `setExit​(Handler handler)` | set the exit handler (any time after creation of this state)

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### State

    public State​(Handler enter, Handler execute, Handler exit)
    constructor that sets the given handlers for enter, execute, and exit
    Parameters:
      `enter` -
      `execute` -
      `exit` -

- ## Method Details

  - ### enter

    public void enter()
    trigger the enter handler, if it is given and not null

  - ### setEnter

    public void setEnter​(Handler handler)
    set the enter handler (any time after creation of this state)
    Parameters:
      `handler` -

  - ### execute

    public void execute()
    trigger the execute handler, if it is given and not null

  - ### setExecute

    public void setExecute​(Handler handler)
    set the execute handler (any time after creation of this state)
    Parameters:
      `handler` -

  - ### exit

    public void exit()
    trigger the exit handler, if it is given and not null

  - ### setExit

    public void setExit​(Handler handler)
    set the exit handler (any time after creation of this state)
    Parameters:
      `handler` -